/* ================================ *\

    Set margin for child elem.
    in lists / grid

\* ================================ */
@mixin _list-child-margin($margin: 15px, $div: '*', $direction: 'right') {
  > #{$div} {
    margin-#{$direction}: $margin;

    &:last-child {
      margin-#{$direction}: 0;
    }
  }
}



/* ================================ *\
    Custom Flex Grid
\* ================================ */
@mixin _grid-flex($col: null, $valign: flex-start, $spacing: 15px) {
  @include _align-flex(null, flex-start, column);
  > * {
    margin-bottom: $spacing;
  }

  @include _respond-to(tablets, desktops) {
    @include _align-flex($valign, flex-start, row);
    @include _list-child-margin($spacing);

    @if ($col) {
      flex-wrap: wrap;
    }

    > * {
      flex: 1;

      @if ($col) {
        flex: 0 0 calc(#{map_get($grid, $col)} - #{$spacing});
        &:nth-child(#{$col}n) {
          margin-right: 0;
          flex-basis: #{map_get($grid, $col)}
        }
      }
    }

  }
}